Page MenuHomePhabricator

[Epic] add ability to link/refer to foreign items and properties (federation)
Closed, ResolvedPublic

Description

Add the ability to link/refer to items and properties from another foreign repo on a repo. E.g. on a file state license (foreign property) is cc-by-sa3.0 (foreign item).

Compare with: T73964

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.
StatusAssignedTask
OpenNone
StalledNone
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedNone
DeclinedNone
DeclinedNone
ResolvedLydia_Pintscher
OpenNone
ResolvedLydia_Pintscher
Resolveddaniel
ResolvedJakob_WMDE
ResolvedWMDE-leszek
ResolvedLydia_Pintscher
ResolvedLadsgroup
ResolvedWMDE-leszek
DuplicateNone
OpenNone

Event Timeline

JanZerebecki raised the priority of this task from to Needs Triage.
JanZerebecki updated the task description. (Show Details)
JanZerebecki changed Security from none to None.
JanZerebecki added a subscriber: JanZerebecki.
JanZerebecki added subscribers: Unknown Object (MLST), Gilles.
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher triaged this task as High priority.Dec 3 2014, 1:12 PM

Does this task refer to using Wikibase repo as a federated repository?

Gilles removed a subscriber: Gilles.Jun 1 2015, 5:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 16 2015, 4:09 PM
Lydia_Pintscher renamed this task from add ability to link/refer to foreign items and properties to add ability to link/refer to foreign items and properties (federation).Mar 2 2016, 5:52 PM
DannyH added a subscriber: DannyH.Mar 3 2016, 8:10 PM
daniel moved this task from proposed to tracking on the WMDE-TLA-Team board.
Lydia_Pintscher renamed this task from add ability to link/refer to foreign items and properties (federation) to [Epic] add ability to link/refer to foreign items and properties (federation).Jan 3 2017, 3:06 PM
Florian added a subscriber: Florian.
Lydia_Pintscher closed this task as Resolved.Apr 17 2017, 4:14 PM
Lydia_Pintscher claimed this task.

Test systems will come in the next days.

@Lydia_Pintscher This is really exciting!

Hey @Lydia_Pintscher where did the test end up?